Subject: Re: [PATCH 05/17] cocci: apply the "cache.h" part of "the_repository.pending"

From: Glen Choo <[email-masked]>
Date: Wed, 22 Mar 2023 16:17:56 -0700

Ævar Arnfjörð Bjarmason         <[email-masked]> writes:

> Apply the part of "the_repository.pending.cocci" pertaining to
> "cache.h".

Like Elijah, I skimmed most of these "apply cocci" patches, since the
code correctness would be enfoced by the compiler anyway.

For reasonableness, I checked that each patch did the following...

>  cache.h                                       | 15 ------

Remove the macros/function definitions from the header file being
touched.

>  contrib/coccinelle/the_repository.cocci       | 44 ++++++++++++++++

Add the relevant lines to contrib/coccinelle/the_repository.cocci

>  .../coccinelle/the_repository.pending.cocci   | 37 --------------

Remove the relevant lines from
contrib/coccinelle/the_repository.pending.cocci.

And all the patches did this, so the patch organization looks good :)